package controller

import (
	"jaecoo-be/app/module/approval_histories/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	ApprovalHistories ApprovalHistoriesController
}

func NewController(approvalHistoriesService service.ApprovalHistoriesService, log zerolog.Logger) *Controller {
	return &Controller{
		ApprovalHistories: NewApprovalHistoriesController(approvalHistoriesService, log),
	}
}
